Skip to main content
GET
/
2
/
conversions
/
purchaseRate
curl
curl --request GET \
  --url 'https://analytics.us.algolia.com/2/conversions/purchaseRate?index=ALGOLIA_INDEX_NAME&startDate=2022-09-19&endDate=2023-01-21&tags=device%3Amobile%2520phone' \
  --header 'accept: application/json' \
  --header 'x-algolia-api-key: ALGOLIA_API_KEY' \
  --header 'x-algolia-application-id: ALGOLIA_APPLICATION_ID'
{
  "rate": 0.05,
  "trackedSearchCount": 2,
  "purchaseCount": 10,
  "dates": [
    {
      "rate": 0.05,
      "trackedSearchCount": 2,
      "purchaseCount": 10,
      "date": "2023-06-14"
    }
  ]
}
By default, the analyzed period includes the last eight days, including the current day. The rate is purchase conversion events divided by tracked searches. A search is tracked if it returns a query ID (clickAnalytics is true). This differs from the response’s count, which includes searches where clickAnalytics is false. There’s a difference between a 0 and null purchase rate when clickAnalytics is enabled:
  • Null means there were no queries. Algolia didn’t receive any events, so the purchase rate is null.
  • 0 means there were queries but no purchase conversion events were received.
Required ACL: analytics

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Query Parameters

index
string
required

Index name.

Example:

"ALGOLIA_INDEX_NAME"

startDate
string

Start date of the period to analyze, in YYYY-MM-DD format.

Example:

"2022-09-19"

endDate
string

End date of the period to analyze, in YYYY-MM-DD format.

Example:

"2023-01-21"

tags
string

Tags by which to segment the analytics.

You can combine multiple tags with OR and AND. Tags must be URL-encoded. For more information, see Segment your analytics data.

Response

OK

rate
number<double> | null
required

Purchase rate: calculated as the number of tracked searches with at least one purchase event divided by the number of tracked searches. If null, Algolia didn't receive any search requests with clickAnalytics set to true.

Required range: 0 <= x <= 1
Example:

0.05

trackedSearchCount
integer
default:0
required

Number of tracked searches. Tracked searches are search requests where the clickAnalytics parameter is true.

Example:

2

purchaseCount
integer
default:0
required

Number of purchase events from this search.

Example:

10

dates
dailyPurchaseRates · object[]
required

Daily purchase rates.

Last modified on March 23, 2026